Subject: RE: Avoiding interface failure upon DAD failure

From: "Bound, Jim" <[email-masked]>
Date: Wed, 7 May 2003 08:39:03 -0400

Hi Jarko,

My input is that if LLs do not pass DaD then something is very broken.
To do a work around this is not prudent in our standards process when
DaD breaks.  In any interoperability test suite I know if you fail DaD
and don't do what our specs say you fail the test period.  Use of RFC
3041 was mean't (IMO) to be used once normal DaD was working not as
end-run around the rules of DaD for mobile nodes.

I am not convinced by your mail this is acceptable and this is valid
concern by ADs.

I do not think SEND needs to complete to move forward at all and I will
be sending clear errors to several of the principles regarding their
misuse of IPsec or request for alterations soon.

Just fail on the interface per the specs and move forward with the spec.

Regards,
/jim

> -----Original Message-----
> From: Jari Arkko [mailto:[email-masked]] 
> Sent: Monday, May 05, 2003 8:56 AM
> To: [email-masked]
> Cc: Erik Nordmark
> Subject: Avoiding interface failure upon DAD failure
> 
> 
> 
> Hi,
> 
> This is something that came up in the IESG review of Mobile 
> IPv6 base specification (draft-ietf-mobileip-ipv6-21.txt).
> Erik asked us to get an opinion from the IPv6 WG on this.
> 
> As you know, upon failing Duplicate Address Detection, RFC 
> 2462 requires IPv6 nodes to stop using the address and wait 
> for reconfiguration (Section 4). In addition, if the failed 
> address was a link-local address formed from an interface 
> identifier, the interface should be disabled (Section 5.4.5).
> 
> The second action is relatively drastic in situations where
> a host visits a large number of networks and is therefore
> more likely to get into this situation either by accident or
> by a malicious act. (SEND WG will eventually solve the
> latter issue, though.)
> 
> In Mobile IPv6, we've recommended that if the mobile
> node wishes to avoid disabling its interface, it can
> generate link-local addresses in an RFC 3041 fashion
> and use them. Therefore, the addresses will not be
> based on an interface identifier and the interface
> will not have to be disabled per RFC 2462. (Existing
> rules in the ND RFCs are followed.) Here's the text
> we have on this:
> 
>     7.6 Avoiding Failures from Duplicate Addresses
> 
>     Upon failing Duplicate Address Detection, [13] requires 
> IPv6 nodes to
>     stop using the address and wait for reconfiguration.  In 
> addition, if
>     the failed address was a link-local address formed from 
> an interface
>     identifier, the interface should be disabled.
> 
>     Mobile nodes that wish to avoid this situation MAY use temporary
>     link-local addresses as follows.  The mobile node SHOULD 
> generate a
>     random interface identifier and use it for assigning itself a
>     link-local address for use on this link.  In order to do this, the
>     mobile node applies to the link-local address the 
> procedure described
>     in RFC 3041 [18] for global addresses.  At most 5 consecutive
>     attempts SHOULD be performed to generate such addresses 
> and test them
>     through Duplicate Address Detection.  If after these attempts no
>     unique address was found, the mobile node SHOULD log a 
> system error
>     and give up attempting to find a link-local address on that
>     interface, until the node moves to a new link.
> 
> And now to the questions for the IPv6 WG: Is this (a) appropriate and
> (b) in line with RFC 2462 and other possible RFCs?
> 
> --Jari
> 
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
> 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Charlie Perkins <[email-masked]>
Date: Wed, 07 May 2003 07:07:26 -0700

Hello Jim,

>My input is that if LLs do not pass DaD then something is very broken.
If DAD fails for the link-local address, then it means that the 
link-local address
cannot be used.  That is what is broken.  It doesn't mean the interface is
broken, which is what would be solved by making it fail.  That is especially
true in this case, because the mobile device is likely to evidence that 
the interface
was working correctly until it tried to connect to a new point of 
attachment.

Since that link-local address cannot be used, the device has to try another
one.  Disallowing this is indeed too drastic, because shutting the interface
could cause major delays and user inconvenience.  I don't think anyone has
noticed any difficulties with just picking another link local address.

>and don't do what our specs say you fail the test period.
>
Did anyone ever notice a problem with selecting a new link-local address?
Isn't this what happens if a device tries to use a 3041 address which has a
conflict?

Regards,
Charlie P.